import { EventEmitter, OnInit, OnChanges, SimpleChanges, ChangeDetectorRef, ElementRef, AfterViewInit, Renderer2 } from "@angular/core";
import { ButtonClasses } from "../../enum/ButtonClassesEnum";
import { AuthService } from "../../service/auth-service.service";
import * as i0 from "@angular/core";
export declare class ButtonComponent implements OnInit, OnChanges, AfterViewInit {
    private authService;
    private cdr;
    private renderer;
    type: string;
    label: string;
    btnClass: ButtonClasses;
    fontSize: string;
    disabled: boolean;
    autofocus: boolean;
    form: string | null;
    formaction: string | null;
    formenctype: string | null;
    formmethod: string | null;
    formnovalidate: boolean;
    formtarget: string | null;
    name: string | null;
    value: string | null;
    permissions: string[];
    onButtonClick: EventEmitter<Event>;
    buttonElement: ElementRef<HTMLButtonElement>;
    private isHovered;
    private isActive;
    clicked: boolean;
    constructor(authService: AuthService, cdr: ChangeDetectorRef, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private validateInputs;
    onClick(event: Event): void;
    get dynamicStyles(): {
        "font-size": string;
        "background-color": string;
        color: string;
        border: string;
        transition: string;
        filter: string;
    };
    private calculateDynamicStyles;
    private addHoverEffect;
    private calculateHoverColor;
    private calculateOriginalColor;
    hasPermission(): boolean;
    onCancel(event: Event): void;
    onSave(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "argenta-custom-button", never, { "type": { "alias": "type"; "required": false; }; "label": { "alias": "label"; "required": false; }; "btnClass": { "alias": "btnClass"; "required": false; }; "fontSize": { "alias": "fontSize"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "autofocus": { "alias": "autofocus"; "required": false; }; "form": { "alias": "form"; "required": false; }; "formaction": { "alias": "formaction"; "required": false; }; "formenctype": { "alias": "formenctype"; "required": false; }; "formmethod": { "alias": "formmethod"; "required": false; }; "formnovalidate": { "alias": "formnovalidate"; "required": false; }; "formtarget": { "alias": "formtarget"; "required": false; }; "name": { "alias": "name"; "required": false; }; "value": { "alias": "value"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; }, { "onButtonClick": "onButtonClick"; }, never, never, false, never>;
}
