import { EventEmitter, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CalendarArgentaComponent implements OnInit, OnChanges {
    id: string;
    placeholder: string;
    label: string;
    minDate: Date | null;
    maxDate: Date | null;
    locale: string;
    useTime: boolean;
    initialDate: string | null;
    rangeMode: boolean;
    startDate: string | null;
    endDate: string | null;
    closeButtonLabel: string;
    rangeChange: EventEmitter<{
        start: string;
        end: string;
    }>;
    currentYear: number;
    currentMonth: number;
    selectedDate: Date | null;
    selectedStartDate: Date | null;
    selectedEndDate: Date | null;
    isCalendarVisible: boolean;
    inputDate: string;
    invalidDate: boolean;
    isSelectingStart: boolean;
    startTime: string;
    endTime: string;
    selectedTime: string;
    locales: any;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateCalendar(dateString: string): void;
    onInputChange(event: any): void;
    updateInputForRange(): void;
    emitSingleOrRange(): void;
    onTimeChange(type: string): void;
    formatTimeForDisplay(date: Date | null): string;
    selectDate(day: number): void;
    applyDateMask(inputValue: string): string;
    validateDate(inputValue: string): boolean;
    handleKeyPress(event: KeyboardEvent): void;
    closeCalendar(): void;
    toggleCalendar(): void;
    formatDateForDisplay(date: Date): string;
    formatDateForEmit(date: Date): string;
    parseDate(dateStr: string): Date | null;
    get daysInMonth(): any[];
    isSelected(day: number): boolean;
    isToday(day: number): boolean;
    isDateDisabled(day: number): boolean;
    isInRange(day: number): boolean;
    nextMonth(): void;
    prevMonth(): void;
    get months(): string[];
    get daysOfWeek(): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarArgentaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarArgentaComponent, "argenta-calendar", never, { "id": { "alias": "id"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "label": { "alias": "label"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "locale": { "alias": "locale"; "required": false; }; "useTime": { "alias": "useTime"; "required": false; }; "initialDate": { "alias": "initialDate"; "required": false; }; "rangeMode": { "alias": "rangeMode"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "endDate": { "alias": "endDate"; "required": false; }; "closeButtonLabel": { "alias": "closeButtonLabel"; "required": false; }; }, { "rangeChange": "rangeChange"; }, never, never, false, never>;
}
