import { EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
export interface ExcelImporterConfig {
    acceptedFileTypes: string[];
    onImport: (data: any[]) => void;
    excludeRows?: number[];
    excludeColumns?: number[];
    hasHeader?: boolean;
    headerRowIndex?: number;
    titleRowIndex?: number;
}
export declare class DataExcelImporterComponent {
    excelData: EventEmitter<any[]>;
    config: ExcelImporterConfig;
    userConfig: {
        acceptedFileTypes: string[];
        onImport: (data: any[]) => void;
        excludeRows?: number[] | undefined;
        excludeColumns?: number[] | undefined;
        hasHeader?: boolean | undefined;
        headerRowIndex?: number | undefined;
        titleRowIndex?: number | undefined;
    };
    excludeRowsInput: string;
    excludeColumnsInput: string;
    showConfigModal: boolean;
    buttonLabel: string;
    openModal(): void;
    closeModal(): void;
    saveConfig(): void;
    validateRowInput(field: "headerRow" | "titleRow"): void;
    handleFileInput(event: any): void;
    private processExcelFile;
    private processCSVFile;
    private processData;
    private adjustRange;
    private normalizeHeader;
    private filterColumns;
    private columnLetterToIndex;
    private defaultImportHandler;
    transformToUppercase(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataExcelImporterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataExcelImporterComponent, "argenta-excel-importer", never, {}, { "excelData": "excelData"; }, never, never, false, never>;
}
