import { EventEmitter, OnDestroy } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { ButtonClasses } from "../../enum/ButtonClassesEnum";
import { AuthService } from "../../service/auth-service.service";
import * as i0 from "@angular/core";
export declare class InputComponent implements ControlValueAccessor, OnDestroy {
    private authService;
    label: string;
    placeholder: string;
    id: string;
    type: string;
    disabled: boolean;
    readonly: boolean;
    maxlength: number | null;
    minlength: number | null;
    required: boolean;
    pattern: string | null;
    autofocus: boolean;
    useCpfMask: boolean;
    useCnpjMask: boolean;
    useCepMask: boolean;
    onlyNumbers: boolean;
    onlyNumbersAndDecimals: boolean;
    validateInput: boolean;
    labelFontWeight: number;
    permissions: string[] | undefined;
    useMoneyMask: boolean;
    currencyCode: string;
    displayCurrencySymbol: boolean;
    prependText: string;
    buttonText: string | null;
    useLatitudeMask: boolean;
    useLongitudeMask: boolean;
    inputEvent: EventEmitter<Event>;
    changeEvent: EventEmitter<Event>;
    focusEvent: EventEmitter<FocusEvent>;
    blurEvent: EventEmitter<FocusEvent>;
    keyupEvent: EventEmitter<KeyboardEvent>;
    keydownEvent: EventEmitter<KeyboardEvent>;
    keypressEvent: EventEmitter<KeyboardEvent>;
    buttonClick: EventEmitter<void>;
    private onChangeCallback;
    private onTouchedCallback;
    ButtonClasses: typeof ButtonClasses;
    value: string;
    showErrorModal: boolean;
    errorMessage: string;
    private subscriptions;
    constructor(authService: AuthService);
    getInputType(): string;
    onInput(event: Event): void;
    private formatMoney;
    onKeyDown(event: KeyboardEvent): void;
    onChange(event: Event): void;
    validateCpf(cpf: string): boolean;
    validateCnpj(cnpj: string): boolean;
    validateCep(cep: string): boolean;
    clearAndShowValidationError(message: string): void;
    closeModal(): void;
    onFocus(event: FocusEvent): void;
    onBlur(event: FocusEvent): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    hasPermission(): boolean;
    onButtonClick(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputComponent, "argenta-custom-input", never, { "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "id": { "alias": "id"; "required": false; }; "type": { "alias": "type"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "maxlength": { "alias": "maxlength"; "required": false; }; "minlength": { "alias": "minlength"; "required": false; }; "required": { "alias": "required"; "required": false; }; "pattern": { "alias": "pattern"; "required": false; }; "autofocus": { "alias": "autofocus"; "required": false; }; "useCpfMask": { "alias": "useCpfMask"; "required": false; }; "useCnpjMask": { "alias": "useCnpjMask"; "required": false; }; "useCepMask": { "alias": "useCepMask"; "required": false; }; "onlyNumbers": { "alias": "onlyNumbers"; "required": false; }; "onlyNumbersAndDecimals": { "alias": "onlyNumbersAndDecimals"; "required": false; }; "validateInput": { "alias": "validateInput"; "required": false; }; "labelFontWeight": { "alias": "labelFontWeight"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; "useMoneyMask": { "alias": "useMoneyMask"; "required": false; }; "currencyCode": { "alias": "currencyCode"; "required": false; }; "displayCurrencySymbol": { "alias": "displayCurrencySymbol"; "required": false; }; "prependText": { "alias": "prependText"; "required": false; }; "buttonText": { "alias": "buttonText"; "required": false; }; "useLatitudeMask": { "alias": "useLatitudeMask"; "required": false; }; "useLongitudeMask": { "alias": "useLongitudeMask"; "required": false; }; }, { "inputEvent": "inputEvent"; "changeEvent": "changeEvent"; "focusEvent": "focusEvent"; "blurEvent": "blurEvent"; "keyupEvent": "keyupEvent"; "keydownEvent": "keydownEvent"; "keypressEvent": "keypressEvent"; "buttonClick": "buttonClick"; }, never, never, false, never>;
}
