import { HttpClient } from "@angular/common/http";
import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { Observable } from "rxjs";
import { AuthService } from "../../service/auth-service.service";
import * as i0 from "@angular/core";
export declare class MultiSelectComponent implements ControlValueAccessor, OnInit, OnChanges {
    private authService;
    private http;
    private cdr;
    onClickOutside(event: Event): void;
    label: string;
    data: any[];
    placeholder: string;
    selected: any;
    id: string;
    bindLabel: string;
    bindValue: string;
    permissions: string[] | undefined;
    closeOnSelect: boolean;
    searchUrl: string;
    multiple: boolean;
    searchParams: {
        [key: string]: string;
    };
    keyupEvent: EventEmitter<any>;
    private lastSearchTerm;
    private backupData;
    private allItems;
    items: Observable<any[]>;
    filteredItems: Observable<any[]>;
    private searchTerms;
    isOpen: boolean;
    constructor(authService: AuthService, http: HttpClient, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    onInputChange(event: any): void;
    search(term: string): Observable<any[]>;
    private fetchInitialData;
    ngOnChanges(changes: SimpleChanges): void;
    private updateData;
    private addSelectedItemsToData;
    private onChangeCallback;
    private onTouchedCallback;
    isCourseEntered: boolean;
    onFocus(): void;
    onBlur(): void;
    onKeyUp(event: KeyboardEvent): void;
    onSelectedChange(event: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    compareFn: (item1: any, item2: any) => boolean;
    hasPermission(): boolean;
    toggleDropdown(): void;
    closeDropdown(): void;
    isSelected(item: any): boolean;
    selectItem(item: any, event: Event): void;
    private filterByTerm;
    private filterOutSelected;
    removeSelectedItem(item: any, event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiSelectComponent, "argenta-custom-multi-select", never, { "label": { "alias": "label"; "required": false; }; "data": { "alias": "data"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "id": { "alias": "id"; "required": false; }; "bindLabel": { "alias": "bindLabel"; "required": false; }; "bindValue": { "alias": "bindValue"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; "closeOnSelect": { "alias": "closeOnSelect"; "required": false; }; "searchUrl": { "alias": "searchUrl"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "searchParams": { "alias": "searchParams"; "required": false; }; }, { "keyupEvent": "keyupEvent"; }, never, never, false, never>;
}
