import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SearchInputComponent implements OnInit, OnDestroy, ControlValueAccessor {
    id: string;
    label: string;
    type: string;
    placeholder: string;
    value: string;
    disabled: boolean;
    readonly: boolean;
    autofocus: boolean;
    maxlength: number | null;
    minlength: number | null;
    required: boolean;
    pattern: string | null;
    debounceTime: number;
    search: EventEmitter<string>;
    inputChange: EventEmitter<string>;
    change: EventEmitter<Event>;
    focus: EventEmitter<Event>;
    blur: EventEmitter<Event>;
    keyup: EventEmitter<KeyboardEvent>;
    keydown: EventEmitter<KeyboardEvent>;
    keypress: EventEmitter<KeyboardEvent>;
    private searchSubject;
    private searchSubscription;
    constructor();
    ngOnInit(): void;
    onInput(event: Event): void;
    onChange(event: Event): void;
    onFocus(event: Event): void;
    onBlur(event: Event): void;
    onKeyup(event: KeyboardEvent): void;
    onKeydown(event: KeyboardEvent): void;
    onKeypress(event: KeyboardEvent): void;
    ngOnDestroy(): void;
    getLabelStyles(): {
        fontFamily: string;
        fontSize: string;
        lineHeight: string;
    };
    onChangeFn: (value: string) => void;
    onTouchedFn: () => void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchInputComponent, "argenta-search-input", never, { "id": { "alias": "id"; "required": false; }; "label": { "alias": "label"; "required": false; }; "type": { "alias": "type"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "autofocus": { "alias": "autofocus"; "required": false; }; "maxlength": { "alias": "maxlength"; "required": false; }; "minlength": { "alias": "minlength"; "required": false; }; "required": { "alias": "required"; "required": false; }; "pattern": { "alias": "pattern"; "required": false; }; "debounceTime": { "alias": "debounceTime"; "required": false; }; }, { "search": "search"; "inputChange": "inputChange"; "change": "change"; "focus": "focus"; "blur": "blur"; "keyup": "keyup"; "keydown": "keydown"; "keypress": "keypress"; }, never, never, false, never>;
}
