import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export interface IDataIndexPaginate {
    filterDescription?: string;
    filterField: string;
    pageNumber: number;
    pageSize: number;
    sortColumn: string;
    sortDirection: "asc" | "desc";
}
export interface IPaginateResult<T> {
    items: T[];
    totalItems: number;
}
export declare class DataPaginateService {
    private http;
    constructor(http: HttpClient);
    fetchData<T>(url: string, params: IDataIndexPaginate): Observable<IPaginateResult<T>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataPaginateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataPaginateService>;
}
