import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit, TemplateRef } from "@angular/core";
import { Observable } from "rxjs";
import { ButtonClasses } from "../../enum/ButtonClassesEnum";
import { AuthService } from "../../service/auth-service.service";
import { RefreshService } from "../../service/refresh-service.service";
import { ConfirmationService } from "../confirmation/confirmation.service";
import { IDataIndexPaginate, IPaginateResult } from "./data-paginate.service";
import * as i0 from "@angular/core";
export declare class DataTableComponent implements OnInit, OnDestroy {
    private cdr;
    private authService;
    private refreshService;
    private confirmationService;
    columns: {
        label: string;
        prop: string;
        type?: "string" | "image";
        isSearchSelected?: boolean;
    }[];
    hiddenColumns: string[];
    defaultItemsPerPage: number;
    itemsPerPageLabel: string;
    showActionColumn: boolean;
    actionColumnLabel: string;
    totalItems: number;
    fetchDataFunction: (params: IDataIndexPaginate) => Observable<IPaginateResult<any>>;
    editPermissions: string[];
    deletePermissions: string[];
    inativoPermissions: string[];
    viewPermissions: string[];
    inativoTexts: {
        inactivate: string;
        activate: string;
        modalTitle: string;
        modalText: string;
    };
    showPageInfo: boolean;
    pageText: string;
    ofText: string;
    filterDescription: string;
    buttonLabel: string;
    pagedData: any[];
    initialFilterField: string | null;
    buttonList?: TemplateRef<any>[];
    statusField: string;
    statusChange: EventEmitter<any>;
    sortChange: EventEmitter<any>;
    pageChange: EventEmitter<number>;
    itemsPerPageChange: EventEmitter<number>;
    onEditTable: EventEmitter<any>;
    onDeleteTable: EventEmitter<any>;
    onViewTable: EventEmitter<any>;
    onButtonClick: EventEmitter<void>;
    filterFieldChange: EventEmitter<string>;
    itemsPerPageOptions: number[];
    currentPage: number;
    sortColumn: string;
    sortDirection: "asc" | "desc";
    selectedSearchField: string;
    isLoading: boolean;
    private destroy$;
    private isInitialized;
    ButtonClasses: typeof ButtonClasses;
    labelStyle: {
        "font-family": string;
        "font-size": string;
        color: string;
    };
    constructor(cdr: ChangeDetectorRef, authService: AuthService, refreshService: RefreshService, confirmationService: ConfirmationService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected getNestedProperty(obj: any, path: string): any;
    fetchData(): void;
    refreshData(): void;
    onPageChange(page: number): void;
    onItemsPerPageChange(): void;
    onSelectSearchField(columnProp: string): void;
    handleAction(action: string, item: any, index: number): void;
    hasPermission(requiredPermissions: string[]): boolean;
    isColumnHidden(columnProp: string): boolean;
    isBoolean(value: any): boolean;
    onSearch(searchText: string): void;
    onNewButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataTableComponent, "argenta-list-data-table", never, { "columns": { "alias": "columns"; "required": false; }; "hiddenColumns": { "alias": "hiddenColumns"; "required": false; }; "defaultItemsPerPage": { "alias": "defaultItemsPerPage"; "required": false; }; "itemsPerPageLabel": { "alias": "itemsPerPageLabel"; "required": false; }; "showActionColumn": { "alias": "showActionColumn"; "required": false; }; "actionColumnLabel": { "alias": "actionColumnLabel"; "required": false; }; "totalItems": { "alias": "totalItems"; "required": false; }; "fetchDataFunction": { "alias": "fetchDataFunction"; "required": false; }; "editPermissions": { "alias": "editPermissions"; "required": false; }; "deletePermissions": { "alias": "deletePermissions"; "required": false; }; "inativoPermissions": { "alias": "inativoPermissions"; "required": false; }; "viewPermissions": { "alias": "viewPermissions"; "required": false; }; "inativoTexts": { "alias": "inativoTexts"; "required": false; }; "showPageInfo": { "alias": "showPageInfo"; "required": false; }; "pageText": { "alias": "pageText"; "required": false; }; "ofText": { "alias": "ofText"; "required": false; }; "filterDescription": { "alias": "filterDescription"; "required": false; }; "buttonLabel": { "alias": "buttonLabel"; "required": false; }; "pagedData": { "alias": "pagedData"; "required": false; }; "initialFilterField": { "alias": "initialFilterField"; "required": false; }; "buttonList": { "alias": "buttonList"; "required": false; }; "statusField": { "alias": "statusField"; "required": false; }; }, { "statusChange": "statusChange"; "sortChange": "sortChange"; "pageChange": "pageChange"; "itemsPerPageChange": "itemsPerPageChange"; "onEditTable": "onEditTable"; "onDeleteTable": "onDeleteTable"; "onViewTable": "onViewTable"; "onButtonClick": "onButtonClick"; "filterFieldChange": "filterFieldChange"; }, never, never, false, never>;
}
