import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TextareaComponent implements ControlValueAccessor {
    label: string;
    placeholder: string;
    id: string;
    rows: number;
    disabled: boolean;
    readonly: boolean;
    maxlength: number | null;
    minlength: number | null;
    required: boolean;
    autofocus: boolean;
    marginTop: number;
    marginBottom: number;
    marginLeft: number;
    marginRight: number;
    inputEvent: EventEmitter<Event>;
    changeEvent: EventEmitter<Event>;
    focusEvent: EventEmitter<FocusEvent>;
    blurEvent: EventEmitter<FocusEvent>;
    keyupEvent: EventEmitter<KeyboardEvent>;
    keydownEvent: EventEmitter<KeyboardEvent>;
    keypressEvent: EventEmitter<KeyboardEvent>;
    private onChangeCallback;
    private onTouchedCallback;
    value: string;
    onInput(event: Event): void;
    onChange(event: Event): void;
    onFocus(event: FocusEvent): void;
    onBlur(event: FocusEvent): void;
    onKeyup(event: KeyboardEvent): void;
    onKeydown(event: KeyboardEvent): void;
    onKeypress(event: KeyboardEvent): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextareaComponent, "sim-app-textarea", never, { "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "id": { "alias": "id"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "maxlength": { "alias": "maxlength"; "required": false; }; "minlength": { "alias": "minlength"; "required": false; }; "required": { "alias": "required"; "required": false; }; "autofocus": { "alias": "autofocus"; "required": false; }; "marginTop": { "alias": "marginTop"; "required": false; }; "marginBottom": { "alias": "marginBottom"; "required": false; }; "marginLeft": { "alias": "marginLeft"; "required": false; }; "marginRight": { "alias": "marginRight"; "required": false; }; }, { "inputEvent": "inputEvent"; "changeEvent": "changeEvent"; "focusEvent": "focusEvent"; "blurEvent": "blurEvent"; "keyupEvent": "keyupEvent"; "keydownEvent": "keydownEvent"; "keypressEvent": "keypressEvent"; }, never, never, false, never>;
}
